;######################################################################
;#                                                                    #
;#    AVR ChipBasic2 API V1.25 API Address definitions                #
;#    (c) 2009-2010 Joerg Wolfram                                     #
;#                                                                    #
;# This program is free software; you can redistribute it and/or      #
;# modify it under the terms of the GNU General Public License        #
;# as published by the Free Software Foundation; either version 3     #
;# of the License, or (at your option) any later version.             #
;#                                                                    #
;# This program is distributed in the hope that it will be useful,    #
;# but WITHOUT ANY WARRANTY; without even the implied warranty of     #
;# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.See the GNU    #
;# General Public License for more details.                           #
;#                                                                    #
;# You should have received a copy of the GNU General Public          #
;# License along with this library; if not, write to the              #
;# Free Software Foundation, Inc., 59 Temple Place - Suite 330,       #
;# Boston, MA 02111-1307, USA.                                        #
;#                                                                    #
;######################################################################
.equ	api_token	= 0x001e
.equ	api_untoken	= 0x0020
.equ	api_version	= 0x0022
.equ	api_popxyz	= 0x0024
.equ	api_pushxyz	= 0x0025
.equ	api_popregs	= 0x0026
.equ	api_pushregs	= 0x0027
.equ	api_getvram	= 0x0028
.equ	api_getsysram	= 0x002b
.equ	api_getpal	= 0x002e
.equ	api_getarray	= 0x0031
.equ	api_getchart0	= 0x0034
.equ	api_getchart1	= 0x0037
.equ	api_getbuffer	= 0x003a
.equ	api_getvalues	= 0x003d
.equ	api_dataptr	= 0x004f
.equ	api_getbase	= 0x0051
.equ	api_getprog	= 0x0053
.equ	api_getprog_1	= 0x0057
.equ	api_getprog_2	= 0x005b
.equ	api_setcolor	= 0x005c
.equ	api_setfcolor	= 0x005e
.equ	api_setborder	= 0x0060
.equ	api_setvmode	= 0x0062
.equ	api_setpalette	= 0x0064
.equ	api_sync	= 0x0066
.equ	api_slow	= 0x0068
.equ	api_fast	= 0x006a
.equ	api_setchannel	= 0x006c
.equ	api_setfont	= 0x006e
.equ	api_clrscr	= 0x0070
.equ	api_outchar	= 0x0072
.equ	api_outdez	= 0x0074
.equ	api_outhex	= 0x0076
.equ	api_gotoxy	= 0x0078
.equ	api_romtext	= 0x007a
.equ	api_thistext	= 0x007c
.equ	api_cbox	= 0x007e
.equ	api_ibox	= 0x0081
.equ	api_scroll	= 0x0084
.equ	api_newline	= 0x0086
.equ	api_sprite	= 0x0088
.equ	api_cursor	= 0x008a
.equ	api_waitkey	= 0x008e
.equ	api_nokey	= 0x0090
.equ	api_kstate	= 0x0092
.equ	api_kflags	= 0x0096
.equ	api_getkey	= 0x0099
.equ	api_lastkey	= 0x009c
.equ	api_putser	= 0x009f
.equ	api_getser	= 0x00a1
.equ	api_getserb	= 0x00a3
.equ	api_putser2	= 0x00a5
.equ	api_getser2	= 0x00a7
.equ	api_getserb2	= 0x00a9
.equ	api_putpar	= 0x00ab
.equ	api_putxm	= 0x00ad
.equ	api_getxm	= 0x00af
.equ	api_putsernl	= 0x00b1
.equ	api_putsernl2	= 0x00b3
.equ	api_baud2	= 0x00b5
.equ	api_hexline	= 0x00b7
.equ	api_plot	= 0x00b9
.equ	api_draw	= 0x00bb
.equ	api_box		= 0x00bd
.equ	api_fbox	= 0x00bf
.equ	api_circle	= 0x00c1
.equ	api_fcircle	= 0x00c5
.equ	api_bcopy1	= 0x00c9
.equ	api_bcopy2	= 0x00cb
.equ	api_bcopy3	= 0x00cd
.equ	api_menu	= 0x00cf
.equ	api_drawmenu	= 0x00d1
.equ	api_alert	= 0x00d3
.equ	api_ask		= 0x00d5
.equ	api_alertthis	= 0x00d7
.equ	api_askthis	= 0x00d9
.equ	api_wbox	= 0x00db
.equ	api_whbox	= 0x00dd
.equ	api_note	= 0x00df
.equ	api_setvolume	= 0x00e1
.equ	api_startseq	= 0x00e3
.equ	api_setseq	= 0x00e5
.equ	api_getseq	= 0x00e7
.equ	api_i2c_read	= 0x00e9
.equ	api_i2c_write	= 0x00eb
.equ	api_i2c_start	= 0x00ed
.equ	api_i2c_stop	= 0x00ef
.equ	api_i2c_rbyte	= 0x00f1
.equ	api_i2c_rbyten	= 0x00f3
.equ	api_i2c_wbyte	= 0x00f5
.equ	api_i2c_rlm75	= 0x00f7
.equ	api_eep_read	= 0x00f9
.equ	api_eep_write	= 0x00fb
.equ	api_abs		= 0x00fd
.equ	api_add		= 0x00ff
.equ	api_sub		= 0x0101
.equ	api_mul		= 0x0103
.equ	api_div		= 0x0105
.equ	api_sin		= 0x0107
.equ	api_cos		= 0x0109
.equ	api_eq		= 0x010b
.equ	api_lt		= 0x010d
.equ	api_gt		= 0x010f
.equ	api_sqr		= 0x0111
.equ	api_rnd		= 0x0113
.equ	api_adc		= 0x0115
.equ	api_dbit	= 0x0117
.equ	api_fs_create	= 0x0119
.equ	api_fs_delete	= 0x011b
.equ	api_fs_read	= 0x011d
.equ	api_fs_write	= 0x011f
.equ	api_fs_cfree	= 0x0121
.equ	api_fs_size	= 0x0123
.equ	api_fs_checkf	= 0x0125
.equ	api_fs_gettype	= 0x0127
.equ	api_fs_rread	= 0x012b
.equ	api_fs_rwrite	= 0x0130
.equ	api_fs_fsize	= 0x0135
.equ	api_fs_ffind	= 0x0137
.equ	api_copychar4	= 0x0139
.equ	api_copychar6	= 0x013b
.equ	api_basrun	= 0x013d
.equ	api_exparser	= 0x013f
.equ	api_tparser	= 0x0141
.equ	api_lfind	= 0x0143
.equ	api_lcall	= 0x0145
.equ	api_preceive	= 0x0147
.equ	api_psend	= 0x0149
.equ	api_wpage	= 0x014b
.equ	api_vm0line	= 0x014d
.equ	api_vm0cls	= 0x0151
.equ	api_vm0char	= 0x0154
.equ	api_vm0gotoxy	= 0x0158
.equ	api_vm0plot	= 0x015a
.equ	api_vm0newline	= 0x015c
.equ	api_sbackup	= 0x0160
.equ	api_srestore	= 0x0162
.equ	api_screenshot	= 0x0164
